Page MenuHomePhabricator

Create integration/edge-to-edge ensuring blocked users cannot edit Wikibase entities
Closed, ResolvedPublic8 Story Points

Description

As recently discovered in T210953, integration of Wikibase into MediaWiki user restriction mechanism has not been tested appropriately.

As blocking users is the common way how Wikidata community deal's with misbehaving actors, it is rather critical to ensure this functionality is not broken with code changes to both Wikibase software, and also to MediaWiki itself.

Ensuring this does not happen would be possible by creating a set of tests performing edits using the blocked user account, and verifying that the action is not allowed (as expected).

Note: this should cover both editing of the entity page using the UI, but also edits performed using Wikibase API. Due to different nature of the APIs, those could probably be tracked as separate tasks.

It seems critical to have those tests implemented as integration/edge-to-edge tests, to ensure that the behaviour is correct in the full integration of Wikibase code with MediaWiki (i.e. not using test doubles of some services).

Acceptance criteria: tests for the following user activities are in place and run as part of the CI job

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2018, 6:10 PM
WMDE-leszek triaged this task as High priority.Dec 3 2018, 6:10 PM
abian awarded a token.Dec 3 2018, 6:11 PM
abian added a subscriber: abian.
WMDE-leszek updated the task description. (Show Details)Dec 4 2018, 2:00 PM
Addshore updated the task description. (Show Details)Dec 4 2018, 2:31 PM
Addshore set the point value for this task to 8.

Change 483811 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/core@master] Add block and unblock commands to WDIO

https://gerrit.wikimedia.org/r/483811

Addshore added a subscriber: Tarrow.
Restricted Application added a project: User-Addshore. · View Herald TranscriptJan 14 2019, 10:20 AM

Change 484618 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] wdio-mediawiki: 0.3.0 bump

https://gerrit.wikimedia.org/r/484618

Change 483811 merged by jenkins-bot:
[mediawiki/core@master] Add block and unblock commands to WDIO

https://gerrit.wikimedia.org/r/483811

Change 484618 merged by jenkins-bot:
[mediawiki/core@master] wdio-mediawiki: Release 0.3.0

https://gerrit.wikimedia.org/r/484618